// *****************************************************************************
// *
// * main.c (Rowley CrossWorks)
// *  
// * Maxim Integrated Products
// *   
// * DESCRIPTION
// *
// *   -Initializes the MAXQ2000's UART port
// *   -Calls assembly routine hsi2cRecv
// *   -Transmits MAX1169 ADC data over the serial port 
// *   -printf functions transmits data over the serial port
// *   -Serial Port configured for 8-N-1 115.2K
// *   -System Crystal is expected to be 20MHz
// *
// *
// *   See README.txt
// *
// * REVISIONS
// * 09 08 2006 - v1.0 Initial Release (TS)
// *
// *****************************************************************************

#include <MAXQ2000.h>
#include <stdio.h>

int 
__putchar(int x)
{
  SBUF0 = x;
  while (!(SCON0 & 2));
  SCON0 &= ~2;
}

extern unsigned char hsi2cRecv(unsigned char *hsi2cBuf, unsigned int hsi2cBytes);

void main(void)
{
   unsigned int  hsi2cBytes, i, Word_16bit;
   unsigned char hsi2cBuf[2];
  
      
   hsi2cBytes = 2;

   i = 0;
   SCON0 = (1<<6)|(1<<4);
   SMD0 = 2;
// 16MHz Crystal
//   PR0 = 0x3AFB; // PR0 = (2097152 * BaudRate) / System Clock
                   //     = (2097152 * 115200  ) / 16MHz
                   // OR
                   // BaudRate = ( PR0 * System Clock ) / 2097152

// 20MHz Crystal
   PR0 = 0x2F30;  // PR0 = (2097152 * BaudRate) / System Clock
                  //     = (2097152 * 115200  ) / 20MHz
                  // OR
                  // BaudRate = ( PR0 * System Clock ) / 2097152

   printf("\b\b\b\b\b\b\bMAX1169 Data Collection File \r\n");

   while(1)
   {
      hsi2cRecv(hsi2cBuf,hsi2cBytes);
      Word_16bit = hsi2cBuf[0] * 256 + hsi2cBuf[1];
      printf("Sampled Bytes %d \r\n", Word_16bit);

   }
}
